summaryrefslogtreecommitdiff
path: root/tests/misc/tac-continue
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/tac-continue')
-rwxr-xr-xtests/misc/tac-continue4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/tac-continue b/tests/misc/tac-continue
index 41764296b..d8f50ffc4 100755
--- a/tests/misc/tac-continue
+++ b/tests/misc/tac-continue
@@ -3,7 +3,7 @@
# when it encounters an error with say the first one.
# With coreutils-5.2.1 and earlier, this test would fail.
-# Copyright (C) 2004 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -41,7 +41,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0